# AdSense Management API . metadata . metrics

## Instance Methods

List the metadata for the metrics available to this AdSense account.

### Method Details

`list()`

    List the metadata for the metrics available to this AdSense account.

    Args:

    Returns:
      An object of the form:

        {
        "items": [
          {
            "requiredMetrics": [ # The names of the metrics which the dimension or metric this reporting metadata entry describes requires to also be present in order for the report to be valid. Omitting these will not cause an error or warning, but may result in data which cannot be correctly interpreted.
              "A String",
            ],
            "kind": "adsense#reportingMetadataEntry", # Kind of resource this is, in this case adsense#reportingMetadataEntry.
            "compatibleMetrics": [ # The names of the metrics the dimension or metric this reporting metadata entry describes is compatible with.
              "A String",
            ],
            "requiredDimensions": [ # The names of the dimensions which the dimension or metric this reporting metadata entry describes requires to also be present in order for the report to be valid. Omitting these will not cause an error or warning, but may result in data which cannot be correctly interpreted.
              "A String",
            ],
            "compatibleDimensions": [ # For metrics this is a list of dimension IDs which the metric is compatible with, for dimensions it is a list of compatibility groups the dimension belongs to.
              "A String",
            ],
            "id": "A String", # Unique identifier of this reporting metadata entry, corresponding to the name of the appropriate dimension or metric.
            "supportedProducts": [ # The codes of the projects supported by the dimension or metric this reporting metadata entry describes.
              "A String",
            ],
          },
        ],
        "kind": "adsense#metadata", # Kind of list this is, in this case adsense#metadata.
      }